/*****************************************************************************
*   "Irit" - the 3d (not only polygonal) solid modeller.		     *
*									     *
* Written by:  Gershon Elber				Ver 0.2, Mar. 1990   *
******************************************************************************
* General, visible to others, definitions for the windows module.	     *
*****************************************************************************/

#ifndef	WINDOWS_GH					/* Define only once. */
#define	WINDOWS_GH

/* Prototypes of the windows module functions: */

void WndwLogPrint(IPObjectStruct *Set);
void WndwInputWindowPutStr(char *Msg);
void WndwInputWindowPutStr2(char *Msg);
void WndwInputWindowGetStr(char *Str, int Length);
IPObjectStruct *WndwInputStdinObject(RealType *Type);
void WndwViewSetDisplay(void);
void WndwViewObject(IPObjectStruct *PObj);
void WndwViewClearScreen(void);
void WndwViewSaveMatrix(char *FileName);
void WndwViewDisconnect(void);
void WndwViewExit(void);
RealType ClientExecute(char *PrgmName);
void ClientClose(RealType *RHandler, int KillClient);
void ClientCloseAll(int KillClient);
IPObjectStruct *ClientRead(RealType *RHandler, RealType *RBlock);
void ClientWrite(RealType *RHandler, IPObjectStruct *PObj);

#endif	/* WINDOWS_GH */
